<?php
// {{{ requires
require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';

/**
 * Pickup のページクラス.
 *
 * @package Page
 * @author LOCKON CO.,LTD.
 * @version $Id: LC_Page_FrontParts_Bloc_Pickup - Copy.php -1   $
 */
class LC_Page_FrontParts_Bloc_Pickup extends LC_Page_FrontParts_Bloc {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
	 
    /** 店舗基本情報 */
    var $arrSiteInfo;

    function init() {
        parent::init();
		$this->arrSiteInfo = SC_Helper_DB_Ex::sfGetBasisData();
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    function action() {

        // 基本情報を渡す
        $objSiteInfo = SC_Helper_DB_Ex::sfGetBasisData();
        $this->arrInfo = $objSiteInfo->data;

        //ピックアップ商品表示
        $this->arrPickupProducts = $this->lfGetRanking();
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }

    /**
     * ピックアップ商品検索.
     *
     * @return array $arrPickupProducts 検索結果配列
     */
    function lfGetRanking(){
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        $objProduct = new SC_Product_Ex();

        // ピックアップ商品取得
        $col = 'best_id, category_id, rank, product_id, title, comment, create_date, update_date';
        $table = 'dtb_pickup';
        $where = 'del_flg = 0';
        $objQuery->setOrder('rank');
        $objQuery->setLimit(RECOMMEND_NUM);
        $arrPickupProducts = $objQuery->select($col, $table, $where);

        $objQuery =& SC_Query_Ex::getSingletonInstance();
        if (count($arrPickupProducts) > 0) {
            // 商品一覧を取得
            // where条件生成&セット
            $arrProductId = array();
            $where = 'product_id IN (';
            foreach ($arrPickupProducts as $key => $val) {
                $arrProductId[] = $val['product_id'];
            }
            // 取得
            $arrTmp = $objProduct->getListByProductIds($objQuery, $arrProductId);
            foreach ($arrTmp as $key => $arrRow) {
                $arrProductList[$arrRow['product_id']] = $arrRow;
            }
            // ピックアップ商品情報にマージ
            foreach (array_keys($arrPickupProducts) as $key) {
                $arrRow =& $arrPickupProducts[$key];
                if (isset($arrProductList[$arrRow['product_id']])) {
                    $arrRow = array_merge($arrRow, $arrProductList[$arrRow['product_id']]);
                } else {
                    // 削除済み商品は除外
                    unset($arrPickupProducts[$key]);
                }
            }
        }
        return $arrPickupProducts;
    }
}
?>
